Bug 1263206 - root-reflex requires gccxml which is not available on aarch64
Summary: root-reflex requires gccxml which is not available on aarch64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: root
Version: rawhide
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1239520
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2015-09-15 10:35 UTC by Petr Pisar
Modified: 2015-10-06 07:43 UTC (History)
4 users (show)

Fixed In Version: root-5.34.32-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-23 09:23:45 UTC
Type: Bug


Attachments (Terms of Use)
F23 enable Cintex; resolve Reflex dependency issue (2.09 KB, patch)
2015-09-16 14:42 UTC, David Abdurachmanov
no flags Details | Diff

Description Petr Pisar 2015-09-15 10:35:57 UTC
root-reflex-5.34.30-1.fc23.aarch64.rpm cannot be installed on aarch64 because gccxml run-time dependency cannot be built there:

DEBUG util.py:377:   --> root-reflex-5.34.30-1.fc23.aarch64
DEBUG util.py:377:  Error: Package: root-reflex-5.34.30-1.fc23.aarch64 (build)
DEBUG util.py:377:             Requires: gccxml
DEBUG util.py:377:   You could try using --skip-broken to work around the problem

gccxml is broken with GCC >= 5.1 and it will not be fixed probably (bug #1239520). gccxml upstream recommends to migrate to <https://github.com/CastXML/CastXML>.

Comment 1 David Abdurachmanov 2015-09-16 14:42:14 UTC
Created attachment 1074062 [details]
F23 enable Cintex; resolve Reflex dependency issue

Comment 2 David Abdurachmanov 2015-09-16 14:45:33 UTC
ROOT5 will never be updated to anything else than GCCXML. GCCXML does not work on AArch64 and overall ROOT5 is not in active development. It should not be active support after September 2015.

You still can use C++ object serialisation, but dictionaries must be pre-generated on x86_64, then compiled on aarch64.

The attached patch resolved Reflex dependency issue and enables Cintex. Compiled and all 95 RPMs install fine. C++ interpreter works fine on quick test.

Comment 3 Marcin Juszkiewicz 2015-09-23 09:23:45 UTC
pushed to rawhide


Note You need to log in before you can comment on or make changes to this bug.